| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Cascade read
Load/Store Operations » Streams

## Overview

## Read cascade stream to 512-bit accumulator with enable bit
v16acc32 | get_scd_v16acc32 (int en)
| Read 512 bit data from cascade stream.
v8acc64 | get_scd_v8acc64 (int en)
| Read 512 bit data from cascade stream.
v4cacc64 | get_scd_v4cacc64 (int en)
| Read 512 bit data from cascade stream.
v16accfloat | get_scd_v16accfloat (int en)
| Read 512 bit data from cascade stream.
v8caccfloat | get_scd_v8caccfloat (int en)
| Read 512 bit data from cascade stream.

## Read 512 bit data from cascade stream (deprecated)
v16acc32 | get_scd (int en)
| Read 512 bit data from cascade stream (deprecated functions)
v8acc64 | getl_scd (int en)
v16accfloat | getf_scd (int en)

## Read cascade stream to 512-bit vector with enable bit
v128int4 | get_scd_v128int4 (int en)
| Read 512 bit data from cascade stream.
v128uint4 | get_scd_v128uint4 (int en)
| Read 512 bit data from cascade stream.
v64int8 | get_scd_v64int8 (int en)
| Read 512 bit data from cascade stream.
v64uint8 | get_scd_v64uint8 (int en)
| Read 512 bit data from cascade stream.
v32int16 | get_scd_v32int16 (int en)
| Read 512 bit data from cascade stream.
v32uint16 | get_scd_v32uint16 (int en)
| Read 512 bit data from cascade stream.
v16cint16 | get_scd_v16cint16 (int en)
| Read 512 bit data from cascade stream.
v16int32 | get_scd_v16int32 (int en)
| Read 512 bit data from cascade stream.
v16uint32 | get_scd_v16uint32 (int en)
| Read 512 bit data from cascade stream.
v8cint32 | get_scd_v8cint32 (int en)
| Read 512 bit data from cascade stream.
v8cfloat | get_scd_v8cfloat (int en)
| Read 512 bit data from cascade stream.
v32bfloat16 | get_scd_v32bfloat16 (int en)
| Read 512 bit data from cascade stream.
v16cbfloat16 | get_scd_v16cbfloat16 (int en)
| Read 512 bit data from cascade stream.

## Read cascade stream to 512-bit accumulator
v16acc32 | get_scd_v16acc32 ()
| Read 512 bit data from cascade stream.
v8acc64 | get_scd_v8acc64 ()
| Read 512 bit data from cascade stream.
v4cacc64 | get_scd_v4cacc64 ()
| Read 512 bit data from cascade stream.
v16accfloat | get_scd_v16accfloat ()
| Read 512 bit data from cascade stream.
v8caccfloat | get_scd_v8caccfloat ()
| Read 512 bit data from cascade stream.

## Read cascade stream to 512-bit accumulator (deprecated)
v16acc32 | get_scd ()
| Read 512 bit data from cascade stream. (deprecated functions)
v8acc64 | getl_scd ()
v16accfloat | getf_scd ()

## Read cascade stream to 512-bit vector
v128int4 | get_scd_v128int4 ()
| Read 512 bit data from cascade stream.
v128uint4 | get_scd_v128uint4 ()
| Read 512 bit data from cascade stream.
v64int8 | get_scd_v64int8 ()
| Read 512 bit data from cascade stream.
v64uint8 | get_scd_v64uint8 ()
| Read 512 bit data from cascade stream.
v32int16 | get_scd_v32int16 ()
| Read 512 bit data from cascade stream.
v32uint16 | get_scd_v32uint16 ()
| Read 512 bit data from cascade stream.
v16cint16 | get_scd_v16cint16 ()
| Read 512 bit data from cascade stream.
v16int32 | get_scd_v16int32 ()
| Read 512 bit data from cascade stream.
v16uint32 | get_scd_v16uint32 ()
| Read 512 bit data from cascade stream.
v8cint32 | get_scd_v8cint32 ()
| Read 512 bit data from cascade stream.
v8cfloat | get_scd_v8cfloat ()
| Read 512 bit data from cascade stream.
v32bfloat16 | get_scd_v32bfloat16 ()
| Read 512 bit data from cascade stream.
v16cbfloat16 | get_scd_v16cbfloat16 ()
| Read 512 bit data from cascade stream.

## Read cascade stream to 1024-bit accumulator with enable bit
v32acc32 | get_scd_v32acc32 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v16acc64 | get_scd_v16acc64 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v8cacc64 | get_scd_v8cacc64 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v32accfloat | get_scd_v32accfloat (int en)
| Read 1024 bit data from cascade stream with enable bit.
v16caccfloat | get_scd_v16caccfloat (int en)
| Read 1024 bit data from cascade stream with enable bit.

## Read cascade stream to 1024-bit vector with enable bit
v256int4 | get_scd_v256int4 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v256uint4 | get_scd_v256uint4 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v128int8 | get_scd_v128int8 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v128uint8 | get_scd_v128uint8 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v64int16 | get_scd_v64int16 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v64uint16 | get_scd_v64uint16 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v32cint16 | get_scd_v32cint16 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v32int32 | get_scd_v32int32 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v32uint32 | get_scd_v32uint32 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v16cint32 | get_scd_v16cint32 (int en)
| Read 1024 bit data from cascade stream with enable bit.
v16cfloat | get_scd_v16cfloat (int en)
| Read 1024 bit data from cascade stream with enable bit.

## Read cascade stream to 1024-bit accumulator
v32acc32 | get_scd_v32acc32 ()
| Read 1024 bit data from cascade stream.
v16acc64 | get_scd_v16acc64 ()
| Read 1024 bit data from cascade stream.
v8cacc64 | get_scd_v8cacc64 ()
| Read 1024 bit data from cascade stream.
v16caccfloat | get_scd_v16caccfloat ()
| Read 1024 bit data from cascade stream.

## Read cascade stream to 1024-bit vector
v256int4 | get_scd_v256int4 ()
| Read 1024 bit data from cascade stream.
v256uint4 | get_scd_v256uint4 ()
| Read 1024 bit data from cascade stream.
v128int8 | get_scd_v128int8 ()
| Read 1024 bit data from cascade stream.
v128uint8 | get_scd_v128uint8 ()
| Read 1024 bit data from cascade stream.
v64int16 | get_scd_v64int16 ()
| Read 1024 bit data from cascade stream.
v64uint16 | get_scd_v64uint16 ()
| Read 1024 bit data from cascade stream.
v32cint16 | get_scd_v32cint16 ()
| Read 1024 bit data from cascade stream.
v32int32 | get_scd_v32int32 ()
| Read 1024 bit data from cascade stream.
v32uint32 | get_scd_v32uint32 ()
| Read 1024 bit data from cascade stream.
v16cint32 | get_scd_v16cint32 ()
| Read 1024 bit data from cascade stream.
v16cfloat | get_scd_v16cfloat ()
| Read 1024 bit data from cascade stream.

## Read cascade stream to low part of 1024-bit accumulator with enable bit
v32acc32 | get_scd_v32acc32_lo (int en)
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v32acc32 | get_scd_v32acc32_hi (int en)
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v16acc64 | get_scd_v16acc64_lo (int en)
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v16acc64 | get_scd_v16acc64_hi (int en)
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## Read cascade stream to low part of 1024-bit accumulator with enable bit (deprecated)
v32acc32 | get_scd_lo (int en)
v32acc32 | get_scd_hi (int en)
v16acc64 | getl_scd_lo (int en)
v16acc64 | getl_scd_hi (int en)

## Read cascade stream to low part of 1024-bit accumulator
v32acc32 | get_scd_v32acc32_lo ()
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v32acc32 | get_scd_v32acc32_hi ()
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v16acc64 | get_scd_v16acc64_lo ()
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.
v16acc64 | get_scd_v16acc64_hi ()
| Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## Read cascade stream to low part of 1024-bit accumulator (deprecated)
v32acc32 | get_scd_lo ()
v32acc32 | get_scd_hi ()
v16acc64 | getl_scd_lo ()
v16acc64 | getl_scd_hi ()

## Function Documentation

## ◆ get_scd() [1/2]

v16acc32 get_scd | ( |  | ) |

Read 512 bit data from cascade stream. (deprecated functions)

## ◆ get_scd() [2/2]

v16acc32 get_scd | ( | int | en | ) |

Read 512 bit data from cascade stream (deprecated functions)

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_hi() [1/2]

v32acc32 get_scd_hi | ( |  | ) |

## ◆ get_scd_hi() [2/2]

v32acc32 get_scd_hi | ( | int | en | ) |

## ◆ get_scd_lo() [1/2]

v32acc32 get_scd_lo | ( |  | ) |

## ◆ get_scd_lo() [2/2]

v32acc32 get_scd_lo | ( | int | en | ) |

## ◆ get_scd_v128int4() [1/2]

v128int4 get_scd_v128int4 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v128int4() [2/2]

v128int4 get_scd_v128int4 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v128int8() [1/2]

v128int8 get_scd_v128int8 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v128int8() [2/2]

v128int8 get_scd_v128int8 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v128uint4() [1/2]

v128uint4 get_scd_v128uint4 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v128uint4() [2/2]

v128uint4 get_scd_v128uint4 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v128uint8() [1/2]

v128uint8 get_scd_v128uint8 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v128uint8() [2/2]

v128uint8 get_scd_v128uint8 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16acc32() [1/2]

v16acc32 get_scd_v16acc32 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16acc32() [2/2]

v16acc32 get_scd_v16acc32 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16acc64() [1/2]

v16acc64 get_scd_v16acc64 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v16acc64() [2/2]

v16acc64 get_scd_v16acc64 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16acc64_hi() [1/2]

v16acc64 get_scd_v16acc64_hi | ( |  | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v16acc64_hi() [2/2]

v16acc64 get_scd_v16acc64_hi | ( | int | en | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v16acc64_lo() [1/2]

v16acc64 get_scd_v16acc64_lo | ( |  | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v16acc64_lo() [2/2]

v16acc64 get_scd_v16acc64_lo | ( | int | en | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v16accfloat() [1/2]

v16accfloat get_scd_v16accfloat | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16accfloat() [2/2]

v16accfloat get_scd_v16accfloat | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16caccfloat() [1/2]

v16caccfloat get_scd_v16caccfloat | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v16caccfloat() [2/2]

v16caccfloat get_scd_v16caccfloat | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16cbfloat16() [1/2]

v16cbfloat16 get_scd_v16cbfloat16 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16cbfloat16() [2/2]

v16cbfloat16 get_scd_v16cbfloat16 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16cfloat() [1/2]

v16cfloat get_scd_v16cfloat | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v16cfloat() [2/2]

v16cfloat get_scd_v16cfloat | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16cint16() [1/2]

v16cint16 get_scd_v16cint16 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16cint16() [2/2]

v16cint16 get_scd_v16cint16 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16cint32() [1/2]

v16cint32 get_scd_v16cint32 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v16cint32() [2/2]

v16cint32 get_scd_v16cint32 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16int32() [1/2]

v16int32 get_scd_v16int32 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16int32() [2/2]

v16int32 get_scd_v16int32 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v16uint32() [1/2]

v16uint32 get_scd_v16uint32 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v16uint32() [2/2]

v16uint32 get_scd_v16uint32 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v256int4() [1/2]

v256int4 get_scd_v256int4 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v256int4() [2/2]

v256int4 get_scd_v256int4 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v256uint4() [1/2]

v256uint4 get_scd_v256uint4 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v256uint4() [2/2]

v256uint4 get_scd_v256uint4 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32acc32() [1/2]

v32acc32 get_scd_v32acc32 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v32acc32() [2/2]

v32acc32 get_scd_v32acc32 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32acc32_hi() [1/2]

v32acc32 get_scd_v32acc32_hi | ( |  | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v32acc32_hi() [2/2]

v32acc32 get_scd_v32acc32_hi | ( | int | en | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v32acc32_lo() [1/2]

v32acc32 get_scd_v32acc32_lo | ( |  | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v32acc32_lo() [2/2]

v32acc32 get_scd_v32acc32_lo | ( | int | en | ) |

Read 512-bit data into selected accumulator lanes from cascade stream and fills remaining lanes with zeros.

## ◆ get_scd_v32accfloat()

v32accfloat get_scd_v32accfloat | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32bfloat16() [1/2]

v32bfloat16 get_scd_v32bfloat16 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v32bfloat16() [2/2]

v32bfloat16 get_scd_v32bfloat16 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32cint16() [1/2]

v32cint16 get_scd_v32cint16 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v32cint16() [2/2]

v32cint16 get_scd_v32cint16 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32int16() [1/2]

v32int16 get_scd_v32int16 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v32int16() [2/2]

v32int16 get_scd_v32int16 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32int32() [1/2]

v32int32 get_scd_v32int32 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v32int32() [2/2]

v32int32 get_scd_v32int32 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32uint16() [1/2]

v32uint16 get_scd_v32uint16 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v32uint16() [2/2]

v32uint16 get_scd_v32uint16 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v32uint32() [1/2]

v32uint32 get_scd_v32uint32 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v32uint32() [2/2]

v32uint32 get_scd_v32uint32 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v4cacc64() [1/2]

v4cacc64 get_scd_v4cacc64 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v4cacc64() [2/2]

v4cacc64 get_scd_v4cacc64 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v64int16() [1/2]

v64int16 get_scd_v64int16 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v64int16() [2/2]

v64int16 get_scd_v64int16 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v64int8() [1/2]

v64int8 get_scd_v64int8 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v64int8() [2/2]

v64int8 get_scd_v64int8 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v64uint16() [1/2]

v64uint16 get_scd_v64uint16 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v64uint16() [2/2]

v64uint16 get_scd_v64uint16 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v64uint8() [1/2]

v64uint8 get_scd_v64uint8 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v64uint8() [2/2]

v64uint8 get_scd_v64uint8 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v8acc64() [1/2]

v8acc64 get_scd_v8acc64 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v8acc64() [2/2]

v8acc64 get_scd_v8acc64 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v8cacc64() [1/2]

v8cacc64 get_scd_v8cacc64 | ( |  | ) |

Read 1024 bit data from cascade stream.

## ◆ get_scd_v8cacc64() [2/2]

v8cacc64 get_scd_v8cacc64 | ( | int | en | ) |

Read 1024 bit data from cascade stream with enable bit.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v8caccfloat() [1/2]

v8caccfloat get_scd_v8caccfloat | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v8caccfloat() [2/2]

v8caccfloat get_scd_v8caccfloat | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v8cfloat() [1/2]

v8cfloat get_scd_v8cfloat | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v8cfloat() [2/2]

v8cfloat get_scd_v8cfloat | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ get_scd_v8cint32() [1/2]

v8cint32 get_scd_v8cint32 | ( |  | ) |

Read 512 bit data from cascade stream.

## ◆ get_scd_v8cint32() [2/2]

v8cint32 get_scd_v8cint32 | ( | int | en | ) |

Read 512 bit data from cascade stream.

Parameters

  en | enable SCD access. If disabled, intrinsic returns zero data

## ◆ getf_scd() [1/2]

v16accfloat getf_scd | ( |  | ) |

## ◆ getf_scd() [2/2]

v16accfloat getf_scd | ( | int | en | ) |

## ◆ getl_scd() [1/2]

v8acc64 getl_scd | ( |  | ) |

## ◆ getl_scd() [2/2]

v8acc64 getl_scd | ( | int | en | ) |

## ◆ getl_scd_hi() [1/2]

v16acc64 getl_scd_hi | ( |  | ) |

## ◆ getl_scd_hi() [2/2]

v16acc64 getl_scd_hi | ( | int | en | ) |

## ◆ getl_scd_lo() [1/2]

v16acc64 getl_scd_lo | ( |  | ) |

## ◆ getl_scd_lo() [2/2]

v16acc64 getl_scd_lo | ( | int | en | ) |